package com.ym.mec.student.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.StudentPreRegistration;
import com.ym.mec.biz.service.StudentService;
import com.ym.mec.common.controller.BaseController;

@RequestMapping("student")
@Api(tags = "学生服务")
@RestController
public class StudentController extends BaseController {

    @Resource
    private SysUserFeignService sysUserFeignService;
    
    @Autowired
    private StudentService studentService;

    @ApiOperation("注册")
    @PostMapping(value = "/registering")
    public Object registering(@RequestBody StudentPreRegistration studentPreRegistration) {

    	// 判断用户是否存在
        SysUser user = sysUserFeignService.queryUserByMobile(studentPreRegistration.getPhone());
        if(user != null && user.getId() != null){
        	if(user.getUserType().contains("STUDENT")){
        		return succeed("您已注册，请直接下载APP！");
        	}
        }
        
        return studentService.register(studentPreRegistration) ? succeed() : failed();
    }

}
